%global momorel 2

Summary: An X terminal locking program.
Name: xlockmore
Version: 5.12
Release: %{momorel}m
License: MIT/X
Group: Amusements/Graphics
Source0: ftp://ftp.tux.org/pub/tux/bagleyd/%{name}/%{name}-%{version}.tar.bz2
Source1: m-redhat.xpm
Source2: m-redhat.xbm
Source3: s-redhat.xpm
Source4: s-redhat.xbm
Source5: xlock.pamd
Patch: xlockmore-5.02-sounddir.patch
#Patch1: xlockmore-5.06-xlock.patch
Patch1: xlockmore-xlock.patch
URL: http://www.tux.org/~bagleyd/xlockmore.html
Requires: pam >= 0.59, fortune-mod, audiofile >= 0.2.1
BuildPreReq: audiofile-devel >= 0.2.1,libstdc++-devel,XFree86-devel
BuildPreReq: autoconf >= 2.52-8k, openmotif-devel >= 2.2.2-2k
Requires: audiofile, libstdc++, XFree86-libs
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
The xlockmore utility is an enhanced version of the standard xlock
program, which allows you to lock an X session so that other users
can't access it.  Xlockmore runs a provided screensaver until you type
in your password.

Install the xlockmore package if you need a locking program to secure
X sessions.

%prep
%setup -q
%patch -p1
%patch1 -p1

cp %{SOURCE1} pixmaps/m-redhat.xpm
cp %{SOURCE2} bitmaps/m-redhat.xbm
cp %{SOURCE1} pixmaps/l-redhat.xpm
cp %{SOURCE2} bitmaps/l-redhat.xbm
cp %{SOURCE3} pixmaps/s-redhat.xpm
cp %{SOURCE4} bitmaps/s-redhat.xbm

%build
#autoconf-old
# CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" \
# ./configure --prefix=/usr/X11R6 --without-motif --without-gtk --enable-pam --without-dpms --disable-allow-root
%configure --prefix=/usr --exec-prefix=/usr/X11R6/ --bindir=/usr/X11R6/bin --mandir=/usr/X11R6/man/man1 --enable-pam --without-dpms --disable-allow-root --enable-use-mb
make

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/etc/pam.d
%makeinstall exec_prefix=%{buildroot}/usr/X11R6/ bindir=%{buildroot}/usr/X11R6/bin mandir=%{buildroot}/usr/X11R6/man/man1 xapploaddir=%{buildroot}/usr/X11R6/lib/X11/app-defaults/  INSTPGMFLAGS="-m 755"
install -m 644 ${RPM_SOURCE_DIR}/xlock.pamd %{buildroot}/etc/pam.d/xlock

mkdir -p %{buildroot}/usr/share/sounds/xlockmore/
install -m 644 sounds/*.au %{buildroot}/usr/share/sounds/xlockmore/

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%config /etc/pam.d/xlock
/usr/X11R6/bin/*
/usr/X11R6/man/man1/xlock.*
%config /usr/X11R6/lib/X11/app-defaults/XLock
%config /usr/X11R6/lib/X11/app-defaults/XmLock
/usr/share/sounds/xlockmore

%changelog
* Sun May 23 2004 YAMAZAKI Makoto <zaki@zakky.org>
- (5.12-2m)
- stop nosource

* Sun May 23 2004 TABUCHI Takaaki <tab@momonga-linux.org>
- (5.12-1m)
- update to 5.12
- update Patch1: xlockmore-xlock.patch

* Sun Mar 28 2004 Toru Hoshina <t@momonga-linux.org>
- (5.09-3m)
- revised spec for rpm 4.2.

* Fri Oct 10 2003 Kimitake Shubata <siva@momonga-linux.org>
- (5.09-2m)
- adapt the License: preamble for the Momonga Linux license
  expression unification policy (draft)

* Sun Aug 3 2003 Masayuki SANO <sano@acs.i.kyoto-u.ac.jp>
- (5.09-1m)
- update to 5.09
- use momorel macro

* Sun Jul 13 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (5.06-2m)
- add xlockmore-5.06-xlock.patch to fix compilation error on gcc-3.3 environment

* Wed Jan 15 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (5.06-1m)
- update to 5.06

* Mon May 13 2002 Toru Hoshina <t@kondara.org>
- (5.02-10k)
- rebuild against openmotif-2.2.2-2k.

* Wed Feb 20 2002 Mitsuru Shimamura <mitsuru@diana.dti.ne.jp>    
- (5.02-8k)
- add BuildPreReq: autoconf >= 2.52-8k

* Wed Jan  9 2002 Shingo Akagaki <dora@kondara.org>
- (5.02-6k)
- autoconf 1.5

* Sun Nov 11 2001 Hidetomo Machi <mcHT@kondara.org>
- (5.02-4k)
- patch for sound dir

* Tue Oct 23 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (5.02-2k)
- update to 5.02

* Fri Oct 19 2001 Toru Hoshina <t@Kondara.org>
- (5.01.2-2k)
- merge from Jirai.

* Mon Aug 27 2001 Motonobu Ichimura <famao@kondara.org>
- (5.01.2-3k)
- up to 5.01.2

* Fri Mar 30 2001 Toru Hoshina <toru@df-usa.com>
- (4.16.1-17k)
- rebuild against audiofile-0.2.1.

* Wed Mar 14 2001 Daiki Matsuda <dyky@df-usa.com>
- (4.16.1-15k)
- rebuild against glibc-2.2.2 and add xlockmore.glibc222.time.patch

* Wed Jan 10 2001 Toru Hoshina <toru@df-usa.com>
- (4.16.1-13k)
- rebuild against gcc 2.96.

* Sun Dec 24 2000 Kenichi Matsubara <m@kondara.org>
- (4.16.1-11k)
- rebuild against audiofile-0.2.0.

* Sat Dec 16 2000 AYUHANA Tomonori <l@kondara.org>
- (4.16.1-9k)
- add --disable-allow-root at %configure
- add xlockmore-sounddir.patch
- add sound install

* Wed Jul 05 2000 Toru Hoshina <t@kondara.org>
- rebuild against glibc-2.1.90, X-4.0, rpm-3.0.5.

* Tue Jul  2 2000 Jakub Jelinek <jakub@redhat.com>
- Rebuild with new C++

* Sun Jun 11 2000 Bill Nottingham <notting@redhat.com>
- rebuild in new environment

* Sat Jun  3 2000 AYUHANA Tomonori <l@kondara.org>
- porting from RawHide

* Thu Jun  1 2000 Nalin Dahyabhai <nalin@redhat.com>
- modify PAM setup to use system-auth
- build without optimization to get around strange math inlining
- remove duplicate declaration for DPMSQueryExtension()

* Tue May 16 2000 Ngo Than <than@redhat.de>
- fixed security bug. (it print the shadow password information)

* Wed Feb 09 2000 Preston Brown <pbrown@redhat.com>
- wmconfig gone.

* Thu Feb  3 2000 Bill Nottingham <notting@redhat.com>
- handle compressed man pages

* Fri Jan 14 2000 Bill Nottingham <notting@redhat.com>
- fun with GL

* Tue Nov  9 1999 Bill Nottingham <notting@redhat.com>
- update to 4.15

* Mon Jun 14 1999 Bill Nottingham <notting@redhat.com>
- update to 4.13.1

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 2)

* Fri Dec 18 1998 Bill Nottingham <notting@redhat.com>
- update to 4.12

* Tue Oct 13 1998 Cristian Gafton <gafton@redhat.com>
- take out some modules to avoid TMv

* Fri Sep 18 1998 Bill Nottingham <notting@redhat.com>
- turned PAM support on in ./configure 

* Fri Sep 11 1998 Preston Brown <pbrown@redhat.com>
- Upgraded to 4.11

* Fri Apr 24 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Sat Apr 11 1998 Donnie Barnes <djb@redhat.com>
- upgraded to 4.09
- removed Michael's PAM patch (it's now available in the sources)

* Thu Oct 23 1997 Marc Ewing <marc@redhat.com>
- upgrade to 4.05
- add wmconfig

* Mon Oct 13 1997 Michael K. Johnson <johnsonm@redhat.com>
- Upgraded to 4.04
- Changed pam to new conventions
- Use configure instead of imake
- buildroot

* Mon Jul 21 1997 Erik Troan <ewt@redhat.com>
- built against glibc

* Mon Mar 03 1997 Michael K. Johnson <johnsonm@redhat.com>
- moved from pam.conf to pam.d

